View Issue Details

IDProjectCategoryView StatusLast Update
0000020SOGoBackend Calendarpublic2009-12-15 07:09
Reportertarjei Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version1.2.0 
Summary0000020: Sogo Calendar chrashes with NSInvalidArgumentException
Description

2009-06-11 15:53:07.357 sogod[9015] Unknown time zone name `Europe/oslo'.
2009-06-11 15:53:07.483 sogod[9015] classes = (top, inetOrgPerson, posixAccount, sambaSamAccount)
2009-06-11 15:53:07.488 sogod[9015] classes = (inetLocalMailRecipient, inetOrgPerson, posixAccount, sambaSamAccount, top)
Jun 11 15:53:07 sogod [29905]: <0x095879E0[SOGoAppointmentObject]:0C6F22A6-9FA8-449E-9937-C1F4231EE695.ics> TODO: implement if-none-match for etag: '*'
localhost.localdomain - - [11/Jun/2009:15:53:07 GMT] "PUT /SOGo/dav/tarjei/Calendar/personal/0C6F22A6-9FA8-449E-9937-C1F4231EE695.ics HTTP/1.1" 204 0/1228 0.310 - - 2M
Jun 11 15:53:07 sogod [29905]: [ERROR] |SOGo| did not find locale for language: NorwegianBokmaal
Jun 11 15:53:07 sogod [29905]: [ERROR] |SOGo| did not find locale for language: Norwegian
Jun 11 15:53:07 sogod [29905]: [ERROR] |SOGo| did not find locale for language: nn
2009-06-11 15:53:07.551 sogod[9015] classes = (inetLocalMailRecipient, inetOrgPerson, posixAccount, sambaSamAccount, top)
2009-06-11 15:53:07.556 sogod[9015] classes = (top, inetOrgPerson, posixAccount, sambaSamAccount)
Jun 11 15:53:07 sogod [29905]: <0x0x95353a0[WOComponentDefinition]> Note: did not find component class with name 'SOGoAptMailNorwegianBokmaalICalReply'
Jun 11 15:53:07 sogod [29905]: <0x0x95353a0[WOComponentDefinition]> Note: missing class for component: 'SOGoAptMailNorwegianBokmaalICalReply'
EXCEPTION: <NSException: 0x956cbb8> NAME:NSInvalidArgumentException REASON:nil object to be added in HashMap for key subject INFO:{key = subject; map = "{\"MIME-Version\" = 1.0; \"content-type\" = multipart/mixed; date = \"Thu, 11 Jun 2009 15:53:07 +0200\"; from = \"user@domain.com <user@domain.com>\"; to = \"user@domain.com\"; }"; object = "<nil>"; }

child 29905 (0000003) was terminated by signal 6 (uptime=11s).

2009-06-11 15:53:07.609 sogod[9015] starting SOGo (build root@vizzini.inverse.ca 200906051538)
...

Regards,
Tarjei

Additional Information

This is with a stock 1.0.2 (compiled for 32 bits) on a 64 bit system.

rpm -qi sogo:

Name : sogo Relocations: /usr/GNUstep/System
Version : 1.0.2 Vendor: http://www.inverse.ca/
Release : 1.el5 Build Date: Fri 05 Jun 2009 09:38:37 PM CEST
Install Date: Thu 11 Jun 2009 11:35:50 AM CEST Build Host: vizzini.inverse.ca
Group : Productivity/Groupware Source RPM: sogo-1.0.2-1.el5.src.rpm
Size : 7446319 License: GPL
Signature : (none)
Packager : Wolfgang Sourdeau <wsourdeau@inverse.ca>
URL : http://www.inverse.ca/contributions/sogo.html
Summary : Scalable OpenGroupware.org (Inverse edition)

TagsNo tags attached.

Activities

ludovic

ludovic

2009-06-17 08:48

administrator   ~0000007

This can happen if the logged in user hasn't chosen a language upon login and his browser's language is set to an unsupported language.

Would you be interested in providing us a Norwegian translation for SOGo?

tarjei

tarjei

2009-06-17 09:29

reporter   ~0000009

I'll see what I can do, please fix the issue as well :)

tarjei

tarjei

2009-06-17 09:57

reporter   ~0000010

By the way, is it possible to set a default language? That would help a lot here.

tarjei

tarjei

2009-06-17 10:01

reporter   ~0000011

Also, what about this part:
2009-06-11 15:53:07.357 sogod[9015] Unknown time zone name `Europe/oslo'.

Should it be Europe/Oslo or is there some other issue here?

Regarding default language: I got "sogod SOGoDefaultLanguage English" in the defaults file, but this does not force a language in the interface.

tarjei

tarjei

2009-12-15 02:40

reporter   ~0000347

This issue may now be closed.

ludovic

ludovic

2009-12-15 07:09

administrator   ~0000348

Fixed with recent refactorings for pref handling.

Issue History

Date Modified Username Field Change
2009-06-16 04:05 tarjei New Issue
2009-06-17 08:48 ludovic Note Added: 0000007
2009-06-17 09:29 tarjei Note Added: 0000009
2009-06-17 09:57 tarjei Note Added: 0000010
2009-06-17 10:01 tarjei Note Added: 0000011
2009-12-15 02:40 tarjei Note Added: 0000347
2009-12-15 07:09 ludovic Note Added: 0000348
2009-12-15 07:09 ludovic Status new => resolved
2009-12-15 07:09 ludovic Fixed in Version => 1.1.1
2009-12-15 07:09 ludovic Resolution open => fixed
2009-12-15 07:09 ludovic Assigned To => ludovic